Package org.opentcs.access.rmi.services

# Interface RemotePeripheralService

All Superinterfaces:
  `java.rmi.Remote`, `RemoteTCSObjectService`

    public interface RemotePeripheralService
    extends RemoteTCSObjectService, java.rmi.Remote

Declares the methods provided by the `PeripheralService` via RMI.

The majority of the methods declared here have signatures analogous to their counterparts in `PeripheralService`, with an additional `ClientID` parameter which serves the purpose of identifying the calling client and determining its permissions.

To avoid redundancy, the semantics of methods that only pass through their arguments are not explicitly documented here again. See the corresponding API documentation in `PeripheralService` for these, instead.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `attachCommAdapter​(ClientID clientId, TCSResourceReference<Location> ref, PeripheralCommAdapterDescription description)` |
  `void` | `disableCommAdapter​(ClientID clientId, TCSResourceReference<Location> ref)` |
  `void` | `enableCommAdapter​(ClientID clientId, TCSResourceReference<Location> ref)` |
  `PeripheralAttachmentInformation` | `fetchAttachmentInformation​(ClientID clientId, TCSResourceReference<Location> ref)` |
  `PeripheralProcessModel` | `fetchProcessModel​(ClientID clientId, TCSResourceReference<Location> ref)` |
  `void` | `sendCommAdapterCommand​(ClientID clientId, TCSResourceReference<Location> ref, PeripheralAdapterCommand command)` |

  ### Methods inherited from interface org.opentcs.access.rmi.services.RemoteTCSObjectService

  `appendObjectHistoryEntry, fetchObject, fetchObject, fetchObjects, fetchObjects, updateObjectProperty`

- ## Method Details

  - ### attachCommAdapter

    void attachCommAdapter​(ClientID clientId, TCSResourceReference<Location> ref, PeripheralCommAdapterDescription description) throws java.rmi.RemoteException
    Throws:
      `java.rmi.RemoteException`

  - ### disableCommAdapter

    void disableCommAdapter​(ClientID clientId, TCSResourceReference<Location> ref) throws java.rmi.RemoteException
    Throws:
      `java.rmi.RemoteException`

  - ### enableCommAdapter

    void enableCommAdapter​(ClientID clientId, TCSResourceReference<Location> ref) throws java.rmi.RemoteException
    Throws:
      `java.rmi.RemoteException`

  - ### fetchAttachmentInformation

    PeripheralAttachmentInformation fetchAttachmentInformation​(ClientID clientId, TCSResourceReference<Location> ref) throws java.rmi.RemoteException
    Throws:
      `java.rmi.RemoteException`

  - ### fetchProcessModel

    PeripheralProcessModel fetchProcessModel​(ClientID clientId, TCSResourceReference<Location> ref) throws java.rmi.RemoteException
    Throws:
      `java.rmi.RemoteException`

  - ### sendCommAdapterCommand

    void sendCommAdapterCommand​(ClientID clientId, TCSResourceReference<Location> ref, PeripheralAdapterCommand command) throws java.rmi.RemoteException
    Throws:
      `java.rmi.RemoteException`